package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbMajorIconCollectionMapper;
import com.ruoyi.system.domain.TbMajorIconCollection;
import com.ruoyi.system.service.ITbMajorIconCollectionService;
import com.ruoyi.common.core.text.Convert;

/**
 * 专业图标Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-10-11
 */
@Service
public class TbMajorIconCollectionServiceImpl implements ITbMajorIconCollectionService 
{
    @Autowired
    private TbMajorIconCollectionMapper tbMajorIconCollectionMapper;

    /**
     * 查询专业图标
     * 
     * @param id 专业图标主键
     * @return 专业图标
     */
    @Override
    public TbMajorIconCollection selectTbMajorIconCollectionById(Long id)
    {
        return tbMajorIconCollectionMapper.selectTbMajorIconCollectionById(id);
    }

    /**
     * 查询专业图标列表
     * 
     * @param tbMajorIconCollection 专业图标
     * @return 专业图标
     */
    @Override
    public List<TbMajorIconCollection> selectTbMajorIconCollectionList(TbMajorIconCollection tbMajorIconCollection)
    {
        return tbMajorIconCollectionMapper.selectTbMajorIconCollectionList(tbMajorIconCollection);
    }

    /**
     * 新增专业图标
     * 
     * @param tbMajorIconCollection 专业图标
     * @return 结果
     */
    @Override
    public int insertTbMajorIconCollection(TbMajorIconCollection tbMajorIconCollection)
    {
        return tbMajorIconCollectionMapper.insertTbMajorIconCollection(tbMajorIconCollection);
    }

    /**
     * 修改专业图标
     * 
     * @param tbMajorIconCollection 专业图标
     * @return 结果
     */
    @Override
    public int updateTbMajorIconCollection(TbMajorIconCollection tbMajorIconCollection)
    {
        return tbMajorIconCollectionMapper.updateTbMajorIconCollection(tbMajorIconCollection);
    }

    /**
     * 批量删除专业图标
     * 
     * @param ids 需要删除的专业图标主键
     * @return 结果
     */
    @Override
    public int deleteTbMajorIconCollectionByIds(String ids)
    {
        return tbMajorIconCollectionMapper.deleteTbMajorIconCollectionByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除专业图标信息
     * 
     * @param id 专业图标主键
     * @return 结果
     */
    @Override
    public int deleteTbMajorIconCollectionById(Long id)
    {
        return tbMajorIconCollectionMapper.deleteTbMajorIconCollectionById(id);
    }
}
